The changelog documents all modifications, enhancements, and removals to the API. It helps developers and users to track changes, understand new features, and adjust their implementations.

It is equally important to be aware of updates in the broader payment guide 
changelog
, which includes comprehensive details on product-level changes that may affect overall payment processing.
function toggleAccordion(button) {
        var panel = button.nextElementSibling;
        var isOpen = panel.style.display === 'block';
        panel.style.display = isOpen ? 'none' : 'block';
        button.children[0].style.transform = isOpen ? 'rotate(-90deg)' : 'rotate(0deg)';
    }

API change impact
Changes to the Solidgate APIs are aimed at minimizing the impact on existing integrations. However, depending on the type of change, actions may be required.
Any API change that requires client-side adjustments will be communicated by the Solidgate team. These changes will include preparation time and clear guidance.
When we mark a field or feature as 
deprecated
and add a 
deprecation notice
to the changelog, it serves as an early notice. The deprecated fields or features will not be removed immediately.
Non-breaking changes
These modifications do not affect existing integrations and ensure backward compatibility:
Request modifications:
Adding new, optional fields or parameters to the request.
Changing a field from required to optional in a request body.
Response modifications:
Adding new, optional fields to the response body.
Changing a field from optional to required in a response body.
HTTP headers:
Adding new, optional request or response headers, changing the case of a header name.
Field length:
Expanding the maximum length of an existing field.
Identifier format:
Changing prefixes or formatting of existing identifiers.
Webhook events:
Adding new webhook event types that require explicit opt-in.
Webhook schema:
Adding new fields to existing webhook event payloads.
Rate limiting:
Any modifications to rate limits will be communicated at least one month in advance.
Breaking changes
Breaking changes can impact existing integrations and require adjustments. These are marked with a 
breaking changes
badge and include:
Operation removal:
Removing an entire API operation.
Request modifications:
Removing or renaming a field or parameter.
Making an optional field or parameter required.
Removing 
oneOf
from the request body.
Response modifications:
Removing or renaming a field in the response body.
Changing the HTTP status code of a response.
Removing 
oneOf
from the response body.
Type changes:
Changing the data type of a request parameter or a field of request or response.
HTTP headers:
Adding a required header to a request or removing a header from a response.
Enum updates:
Adding or removing an existing enum.
Errors:
Changing error codes for an existing error.
Validation rules:
Adding stricter or new validation rules to an existing field or parameter.
Authentication and authorization:
Changing authentication or authorization requirements.
June
10 June 2026
Added
payment_method
mbway
to the 
revoke token
alternative payment request.
                
5 June 2026
Added
product_price_id
to the 
get subscription status
and 
list invoices
responses, as well as subscription 
webhook
payloads.
                
4 June 2026
Added
metadata
to the 
product
requests and responses.
                
2 June 2026
Added
shipping_address
to the 
recurring
and 
resign
card payment requests.
                
future_usage
for the 
payment_method
blik
to the 
init payment
alternative payment requests.
                
payment_method
blik
to the 
recurring
alternative payment requests.
                
May
27 May 2026
Added
device_sessions
to 
card payments
requests.
                
25 May 2026
Added
multibanco
payment_method
to the 
init payment
alternative payment requests.
                
22 May 2026
Added
routing events
and 
download routing events
report endpoints to retrieve routing decisions and execution flow for orders processed through routing configurations.
                
14 May 2026
Added
ani
object to the 
verification_result
in the 
card payments
responses and the 
updated card order
webhook.
                
6 May 2026
Changed
authentication_response
field in the 
external_mpi_data
object now accepts only 
Y
and 
A
values across the 
card payments
requests.
                
April
29 April 2026
Added
original_payment_method
to the 
card_token
object in 
recurring
and 
check order status
responses.
                
23 April 2026
Added
mbway
payment_method
to the 
create page
and 
create link
requests.
                
22 April 2026
Added
industry_data
with 
type
car_rental
to the 
Apple Pay
, 
Google Pay
, and 
resign
payment requests.
                
17 April 2026
Deprecation notice
                        
type
field in requests and responses across the all endpoints.
                
16 April 2026
Added
pix-automatico
payment_method
to the 
init payment
and 
recurring
alternative payment requests.
                
1 April 2026
Added
order_description
to the 
financial entries
report.
                
March
30 March 2026
Added
language
to the 
init payment
and 
recurring
alternative payment requests.
                
10 March 2026
Added
recurring
price breakdown details to the 
calculate product price
response.
                
4 March 2026
Added
billing_address
country
, 
state
, 
city
, and 
zip
to the 
create page
request.
                
February
26 February 2026
Added
enrich dispute representment
endpoint for enrich evidence in 
card
and 
paypal
dispute_type
.
                
25 February 2026
Changed
card_holder
validation to [2..52] characters.
                
24 February 2026
Added
billing_address
address
to the 
create page
request.
                
20 February 2026
Added
discount
object to the 
update subscription
request to manage subscription pricing with 
coupon_id
or 
coupon_code
.
                
Deprecation notice
                        
for 
coupon_id
and 
coupon_code
root-level fields in the 
update subscription
request. Use the 
discount
object instead.
                
16 February 2026
Added
revoke token
request and 
revoked recurring token
webhook for alternative payment methods.
                
12 February 2026
Added
authorized_amount
to 
order
in 
updated card order
webhook to provide the total authorized amount of the order.
                
3 February 2026
Added
qr_code_value
and 
qr_code_expiration_date
to 
payment_type_data
for Pix QR in the 
init payment
response of the alternative payment methods.
                
January
30 January 2026
Added
is_reloadable
to the 
card
in 
transaction
across 
card payments
responses.
                
20 January 2026
Added
url
to the 
update webhook endpoint
request to support the update of webhook delivery URL.
                
16 January 2026
Added
authorization_type
to the 
transaction
in the 
card orders
report.
                
14 January 2026
Added
authorization_type
to support 
estimated and incremental auth
for the 
charge
, 
recurring
, 
resign
, 
Google Pay
, 
Apple Pay
, 
payment page
, and 
payment link
requests.
                
December
24 December 2025
Added
exception
to the 
three_ds
in the 
card payments
responses.
        
22 December 2025
Added
retrieve prices
method to get prices in bulk based on filter criteria.
                
11 December 2025
Added
mbway
alternative payment method to the 
recurring
request.
                
4 December 2025
Added
403
status code to 
products and prices
and 
subscription
methods to indicate restricted 
service access
.
                
November
25 November 2025
Removed
sepa
payment method 
payment_method
from the 
alternative payment methods
.
        
17 November 2025
Added
future_usage
to the 
order
in the 
payment page
and 
payment link
create requests.
        
13 November 2025
Added
future_usage
for the 
payment_method
mbway
to the 
alternative payment method
request.
        
11 November 2025
Added
country
to the 
card payments
requests.
        
7 November 2025
Added
alipay
, 
wechatpay
, 
bizum
, and 
gcash
payment methods to the 
alternative payment methods
.
        
October
21 October 2025
Added
transaction_link_id
to the 
transaction
in the 
card payments
responses.
        
Removed
davivienda
payment method from the 
alternative payments
.
        
deprecated financial entries by settlement endpoint, which provided a 
report
with financial data by settlement.
        
15 October 2025
Added
payment_method
to the 
order
in the 
card orders
report.
        
14 October 2025
Added
transaction_link_id
to the 
charge
requests.
        
payment_method
to the 
order
in the 
card payments
responses.
        
13 October 2025
Removed
profile_id
and 
is_included
from the 
tax
in the 
product-related
requests and responses.
            
September
17 September 2025
Added
rrn_code
to the 
transaction
in the 
card payments
responses.
        
12 September 2025
Added
industry_data
with 
type
airline
to the 
charge
one-time payment requests.
        
Deprecation notice
                    
for 
3.09
in 
error
code
for all responses.
            
10 September 2025
Added
behavior
to the 
tax
of the 
product-related
requests and responses.
        
Deprecation notice
                    
for 
profile_id
and 
is_included
of the 
tax
present in the 
product-related
requests and responses.
            
5 September 2025
Added
discount
to the 
get subscription status
and 
update subscription
responses, as well as the subscription 
extended events
.
        
August
29 August 2025
Added
deactivate payment page
request to prevent its further use.
        
Deprecation notice
                    
for 
guid
in the 
create page
response.
            
19 August 2025
Removed
profile_id
and 
rate_id
of the 
tax
in the 
calculate product price
response.
        
14 August 2025
Added
represented_by
to the 
dispute
in the 
PayPal disputes
report and to the 
order: chargebacks: flow
in the 
chargebacks
report.
        
July
22 July 2025
Added
created_at
and 
updated_at
to the cards 
received prevention alert
and apms 
received prevention alert
webhooks.
        
18 July 2025
Added
created_by
to the 
create fraud prevention list items
request.
        
include_deleted
, 
created_at_from
and 
created_at_to
to the 
list fraud prevention list items
request.
        
created_at
, 
deleted_at
and 
created_by
to the 
list fraud prevention list items
response.
        
17 July 2025
Added
card_data_type
and 
dpan_source
to the 
charge
one-time payment with PAN and DPAN request.
        
16 July 2025
Removed
created
transaction status from the 
card payments
endpoints.
            
Deprecation notice
                    
for 
profile_id
and 
rate_id
of the 
tax
in the 
calculate product price
response.
            
15 July 2025
Added
antifraud_result
to the 
updated card order
webhook and to the 
check order status
response.
scheme_transaction_id
to the 
transaction
in the 
card payments
responses.
        
11 July 2025
Added
represented_by
to the 
received PayPal dispute
webhook and to the 
chargeback_flow
in the 
received dispute
webhook.
        
8 July 2025
Added
update subscription
operation to make available trial updates, discount application, and product changes in one request.
                
Changed
restore subscription
operation to add support for restoring subscriptions with either 
coupon_id
or 
coupon_code
.
                
4 July 2025
Added
retry_mode
to 
create
and 
update
requests in the subscription flow to define the revenue recovery approach.
create
and 
download
transactional tax endpoints.
        
3 July 2025
Added
solidgate-event-created-at
header parameter
to support chronological processing of events.
create
and
          
download
summary tax endpoints.
        
1 July 2025
Added
ip_address
to the 
order
in the 
card payments
responses.
            
function toggleAccordion(button) {
        var panel = button.nextElementSibling;
        var isOpen = panel.style.display === 'block';
        panel.style.display = isOpen ? 'none' : 'block';
        button.children[0].style.transform = isOpen ? 'rotate(-90deg)' : 'rotate(0deg)';
    }

function toggleAccordion(button) {
        var panel = button.nextElementSibling;
        var isOpen = panel.style.display === 'block';
        panel.style.display = isOpen ? 'none' : 'block';
        button.children[0].style.transform = isOpen ? 'rotate(-90deg)' : 'rotate(0deg)';
    }

function toggleAccordion(button) {
        var panel = button.nextElementSibling;
        var isOpen = panel.style.display === 'block';
        panel.style.display = isOpen ? 'none' : 'block';
        button.children[0].style.transform = isOpen ? 'rotate(-90deg)' : 'rotate(-180deg)';
    }